<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ManBase/BodyParts/Head.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d74/_man_base_2_body_parts_2_head_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Head.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d74/_man_base_2_body_parts_2_head_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>Head_Default <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/da1/class_head.html">Head</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a465562a2c481f7adac6754e5be16b639">    3</a></span>    <span class="keywordtype">bool</span> m_handling_exception = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a7688676628b13bf6d748372886e7647f">    4</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/da1/class_head.html#a7688676628b13bf6d748372886e7647f">m_beard_idx</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a501b0f6cd924fe244340fb4bbe37f54d">    5</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/da1/class_head.html#a501b0f6cd924fe244340fb4bbe37f54d">m_hair_idx</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a47666e949882854986a2190566dd2c48">    7</a></span>    ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int,ref SelectionTranslation&gt;</a>           <a class="code hl_variable" href="../../d9/da1/class_head.html#a47666e949882854986a2190566dd2c48">m_HeadHairHidingStateMap</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a0629b3741c26ce37246df99a1fd5a17d">    8</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>                               <a class="code hl_variable" href="../../d9/da1/class_head.html#a0629b3741c26ce37246df99a1fd5a17d">m_HeadHairSelectionArray</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#aa719fff49dc703ad6c7d6ccb4d4e9392">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da1/class_head.html#aa719fff49dc703ad6c7d6ccb4d4e9392">Head_Default</a>()</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../d9/da1/class_head.html#a8b4ddd235c35a871ceb183c9d5c6b6ee">Init</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a8b4ddd235c35a871ceb183c9d5c6b6ee">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da1/class_head.html#a8b4ddd235c35a871ceb183c9d5c6b6ee">Init</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_HeadHairHidingStateMap = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int,ref SelectionTranslation&gt;</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_HeadHairSelectionArray = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#a73c00d808f607a7565a1c4cb8918125c">ConfigGetTextArray</a>(<span class="stringliteral">&quot;simpleHiddenSelections&quot;</span>,m_HeadHairSelectionArray);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_beard_idx = m_HeadHairSelectionArray.Find(<span class="stringliteral">&quot;beard&quot;</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_hair_idx = m_HeadHairSelectionArray.Find(<span class="stringliteral">&quot;hair&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../dd/d93/_object_8c.html#a1f14b46175c2f370da68bf7ede2c3a74">ConfigIsExisting</a>(<span class="stringliteral">&quot;HairHiding&quot;</span>))</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            m_handling_exception = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d9/da1/class_head.html#a8384d6ab9d8c5bd7d1f34f6773f87bc0">InitSelectionTranslation</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a8384d6ab9d8c5bd7d1f34f6773f87bc0">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da1/class_head.html#a8384d6ab9d8c5bd7d1f34f6773f87bc0">InitSelectionTranslation</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_HeadHairSelectionArray.Count(); i++)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_class" href="../../d0/df1/class_selection_translation.html">SelectionTranslation</a> selTran = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/df1/class_selection_translation.html">SelectionTranslation</a>(<span class="keyword">this</span>,i);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            selTran.<a class="code hl_function" href="../../d0/df1/class_selection_translation.html#ae8d68f9b2ccaf977c440cfb534804583">SetSelectionState</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            m_HeadHairHidingStateMap.Insert(i,selTran); <span class="comment">//all considered &quot;shown&quot; on init</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a37008886f8dd1136cae1ae4b6d42724e">   40</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da1/class_head.html#a37008886f8dd1136cae1ae4b6d42724e">GetHeadHideableSelections</a>(out <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> selections)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        selections = <a class="code hl_variable" href="../../d9/da1/class_head.html#a0629b3741c26ce37246df99a1fd5a17d">m_HeadHairSelectionArray</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a64f075e044ffe50bf4d6b551747ed080">   46</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/da1/class_head.html#a64f075e044ffe50bf4d6b551747ed080">GetBeardIndex</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/da1/class_head.html#a7688676628b13bf6d748372886e7647f">m_beard_idx</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a6dc686d849b1b8672932e16279e0de2d">   51</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/da1/class_head.html#a6dc686d849b1b8672932e16279e0de2d">GetHairIndex</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/da1/class_head.html#a501b0f6cd924fe244340fb4bbe37f54d">m_hair_idx</a>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#ac29cfc501ea8524bf320c202fd4f84f9">   56</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/da1/class_head.html#ac29cfc501ea8524bf320c202fd4f84f9">GetSelectionIndex</a>(<span class="keywordtype">string</span> str)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> m_HeadHairSelectionArray.Find(str);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d9/da1/class_head.html#a325113a7cac6ed9c9e5fa0c7f0e7a2fc">   61</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da1/class_head.html#a325113a7cac6ed9c9e5fa0c7f0e7a2fc">IsHandlingException</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/da1/class_head.html#a465562a2c481f7adac6754e5be16b639">m_handling_exception</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>};</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html">   67</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/df1/class_selection_translation.html">SelectionTranslation</a></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>{</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#ae6f9900a2cc0cc2f7155249945d9c9cb">   69</a></span>    <span class="keywordtype">bool</span>            <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#ae6f9900a2cc0cc2f7155249945d9c9cb">m_SelectionState</a>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#aff4339506cead891b5897996f6e1c73b">   71</a></span>    <span class="keywordtype">bool</span>            <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aff4339506cead891b5897996f6e1c73b">m_TranslationFinished</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">   72</a></span>    <span class="keywordtype">string</span>          <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">m_BasePath</a>;<span class="comment">// = &quot;cfgVehicles &quot; + GetType() + &quot; HairHiding&quot;;</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#aa4c743114bf46d0b0e45cb18350cfe7a">   73</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>  <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa4c743114bf46d0b0e45cb18350cfe7a">m_TranslatedSelections</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">   74</a></span>    Head_Default    <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">m_Head</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#af335c636bd814e51e5ed04892913d91a">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#af335c636bd814e51e5ed04892913d91a">SelectionTranslation</a>(Head_Default head, <span class="keywordtype">int</span> idx)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">m_Head</a> = head;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">m_BasePath</a> = <span class="stringliteral">&quot;cfgVehicles &quot;</span> + <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">m_Head</a>.GetType() + <span class="stringliteral">&quot; HairHiding&quot;</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#a7d3c4cc03ae3382eb9d6959146148e43">InitTranslatedSelections</a>(idx);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#a7d3c4cc03ae3382eb9d6959146148e43">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#a7d3c4cc03ae3382eb9d6959146148e43">InitTranslatedSelections</a>(<span class="keywordtype">int</span> idx)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">m_Head</a>.ConfigIsExisting(<span class="stringliteral">&quot;HairHiding&quot;</span>) )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordtype">int</span> selectionIdx = -1;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa4c743114bf46d0b0e45cb18350cfe7a">m_TranslatedSelections</a> = <span class="keyword">new</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="comment">//Hair</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">m_BasePath</a> + <span class="stringliteral">&quot; Group_Hair&quot;</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#a6761c0aff271da8c1fc3c00c9ce2de63">SearchAndTranslate</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>,idx);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="comment">//Beard</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">m_BasePath</a> + <span class="stringliteral">&quot; Group_Beard&quot;</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#a6761c0aff271da8c1fc3c00c9ce2de63">SearchAndTranslate</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>,idx);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="comment">//Hair + Beard</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">m_BasePath</a> + <span class="stringliteral">&quot; Group_HairBeard&quot;</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#a6761c0aff271da8c1fc3c00c9ce2de63">SearchAndTranslate</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>,idx);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="comment">//other</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; !<a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aff4339506cead891b5897996f6e1c73b">m_TranslationFinished</a>; i++)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">m_BasePath</a> + <span class="stringliteral">&quot; Group_&quot;</span> + i;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.ConfigIsExisting(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>) )</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#a6761c0aff271da8c1fc3c00c9ce2de63">SearchAndTranslate</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>,idx);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aff4339506cead891b5897996f6e1c73b">m_TranslationFinished</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#a6761c0aff271da8c1fc3c00c9ce2de63">  117</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#a6761c0aff271da8c1fc3c00c9ce2de63">SearchAndTranslate</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>, <span class="keywordtype">int</span> idx)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.ConfigIsExisting(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>))</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> tempArrayStr = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.ConfigGetTextArray(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> + <span class="stringliteral">&quot; memberSelections&quot;</span>, tempArrayStr);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordtype">int</span> indexInOriginalArray = -2;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; tempArrayStr.Count(); i++)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            indexInOriginalArray = <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">m_Head</a>.m_HeadHairSelectionArray.Find(tempArrayStr.Get(i));</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <span class="keywordflow">if</span> ( idx == indexInOriginalArray ) <span class="comment">//found it</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.ConfigGetTextArray(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> + <span class="stringliteral">&quot; simpleSelectionName&quot;</span>, tempArrayStr);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                <span class="keywordflow">for</span> (i = 0; i &lt; tempArrayStr.Count(); i++)</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                    <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa4c743114bf46d0b0e45cb18350cfe7a">m_TranslatedSelections</a>.Insert(<a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">m_Head</a>.m_HeadHairSelectionArray.Find(tempArrayStr.Get(i)));</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aff4339506cead891b5897996f6e1c73b">m_TranslationFinished</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#ae8d68f9b2ccaf977c440cfb534804583">  143</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#ae8d68f9b2ccaf977c440cfb534804583">SetSelectionState</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#ae6f9900a2cc0cc2f7155249945d9c9cb">m_SelectionState</a> = state;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#af581affea636579b05a41cb2eefedbe1">  148</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#af581affea636579b05a41cb2eefedbe1">GetSelectionState</a>()</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#ae6f9900a2cc0cc2f7155249945d9c9cb">m_SelectionState</a>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../d0/df1/class_selection_translation.html#aed9b63b0a30b53e240981a27dc8c15e8">  153</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_function" href="../../d0/df1/class_selection_translation.html#aed9b63b0a30b53e240981a27dc8c15e8">GetTranslatedSelections</a>()</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/df1/class_selection_translation.html#aa4c743114bf46d0b0e45cb18350cfe7a">m_TranslatedSelections</a>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>};</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03101">DayZGame.c:3101</a></div></div>
<div class="ttc" id="a_object_8c_html_a1f14b46175c2f370da68bf7ede2c3a74"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a1f14b46175c2f370da68bf7ede2c3a74">ConfigIsExisting</a></div><div class="ttdeci">proto native bool ConfigIsExisting(string entryName)</div><div class="ttdoc">Checks if given entry exists.</div></div>
<div class="ttc" id="a_object_8c_html_a73c00d808f607a7565a1c4cb8918125c"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a73c00d808f607a7565a1c4cb8918125c">ConfigGetTextArray</a></div><div class="ttdeci">proto native void ConfigGetTextArray(string entryName, out TStringArray values)</div><div class="ttdoc">Get array of strings from config entry.</div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a46c20eb2a26abeb1e934cd66e1dd6484"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a></div><div class="ttdeci">string path</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00149">OptionSelectorMultistate.c:149</a></div></div>
<div class="ttc" id="aclass_head_html"><div class="ttname"><a href="../../d9/da1/class_head.html">Head</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d36/_item_base_2_head_8c_source.html#l00001">Head.c:2</a></div></div>
<div class="ttc" id="aclass_head_html_a0629b3741c26ce37246df99a1fd5a17d"><div class="ttname"><a href="../../d9/da1/class_head.html#a0629b3741c26ce37246df99a1fd5a17d">Head::m_HeadHairSelectionArray</a></div><div class="ttdeci">ref array&lt; string &gt; m_HeadHairSelectionArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00008">Head.c:8</a></div></div>
<div class="ttc" id="aclass_head_html_a325113a7cac6ed9c9e5fa0c7f0e7a2fc"><div class="ttname"><a href="../../d9/da1/class_head.html#a325113a7cac6ed9c9e5fa0c7f0e7a2fc">Head::IsHandlingException</a></div><div class="ttdeci">bool IsHandlingException()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00061">Head.c:61</a></div></div>
<div class="ttc" id="aclass_head_html_a37008886f8dd1136cae1ae4b6d42724e"><div class="ttname"><a href="../../d9/da1/class_head.html#a37008886f8dd1136cae1ae4b6d42724e">Head::GetHeadHideableSelections</a></div><div class="ttdeci">bool GetHeadHideableSelections(out array&lt; string &gt; selections)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00040">Head.c:40</a></div></div>
<div class="ttc" id="aclass_head_html_a465562a2c481f7adac6754e5be16b639"><div class="ttname"><a href="../../d9/da1/class_head.html#a465562a2c481f7adac6754e5be16b639">Head::m_handling_exception</a></div><div class="ttdeci">bool m_handling_exception</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00003">Head.c:3</a></div></div>
<div class="ttc" id="aclass_head_html_a47666e949882854986a2190566dd2c48"><div class="ttname"><a href="../../d9/da1/class_head.html#a47666e949882854986a2190566dd2c48">Head::m_HeadHairHidingStateMap</a></div><div class="ttdeci">ref map&lt; int, ref SelectionTranslation &gt; m_HeadHairHidingStateMap</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00007">Head.c:7</a></div></div>
<div class="ttc" id="aclass_head_html_a501b0f6cd924fe244340fb4bbe37f54d"><div class="ttname"><a href="../../d9/da1/class_head.html#a501b0f6cd924fe244340fb4bbe37f54d">Head::m_hair_idx</a></div><div class="ttdeci">int m_hair_idx</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00005">Head.c:5</a></div></div>
<div class="ttc" id="aclass_head_html_a64f075e044ffe50bf4d6b551747ed080"><div class="ttname"><a href="../../d9/da1/class_head.html#a64f075e044ffe50bf4d6b551747ed080">Head::GetBeardIndex</a></div><div class="ttdeci">int GetBeardIndex()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00046">Head.c:46</a></div></div>
<div class="ttc" id="aclass_head_html_a6dc686d849b1b8672932e16279e0de2d"><div class="ttname"><a href="../../d9/da1/class_head.html#a6dc686d849b1b8672932e16279e0de2d">Head::GetHairIndex</a></div><div class="ttdeci">int GetHairIndex()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00051">Head.c:51</a></div></div>
<div class="ttc" id="aclass_head_html_a7688676628b13bf6d748372886e7647f"><div class="ttname"><a href="../../d9/da1/class_head.html#a7688676628b13bf6d748372886e7647f">Head::m_beard_idx</a></div><div class="ttdeci">int m_beard_idx</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00004">Head.c:4</a></div></div>
<div class="ttc" id="aclass_head_html_a8384d6ab9d8c5bd7d1f34f6773f87bc0"><div class="ttname"><a href="../../d9/da1/class_head.html#a8384d6ab9d8c5bd7d1f34f6773f87bc0">Head::InitSelectionTranslation</a></div><div class="ttdeci">void InitSelectionTranslation()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00030">Head.c:30</a></div></div>
<div class="ttc" id="aclass_head_html_a8b4ddd235c35a871ceb183c9d5c6b6ee"><div class="ttname"><a href="../../d9/da1/class_head.html#a8b4ddd235c35a871ceb183c9d5c6b6ee">Head::Init</a></div><div class="ttdeci">void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00015">Head.c:15</a></div></div>
<div class="ttc" id="aclass_head_html_aa719fff49dc703ad6c7d6ccb4d4e9392"><div class="ttname"><a href="../../d9/da1/class_head.html#aa719fff49dc703ad6c7d6ccb4d4e9392">Head::Head_Default</a></div><div class="ttdeci">void Head_Default()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00010">Head.c:10</a></div></div>
<div class="ttc" id="aclass_head_html_ac29cfc501ea8524bf320c202fd4f84f9"><div class="ttname"><a href="../../d9/da1/class_head.html#ac29cfc501ea8524bf320c202fd4f84f9">Head::GetSelectionIndex</a></div><div class="ttdeci">int GetSelectionIndex(string str)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00056">Head.c:56</a></div></div>
<div class="ttc" id="aclass_selection_translation_html"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html">SelectionTranslation</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00067">Head.c:68</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_a28eabd77353e5dc1021389c035af4055"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#a28eabd77353e5dc1021389c035af4055">SelectionTranslation::m_BasePath</a></div><div class="ttdeci">string m_BasePath</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00072">Head.c:72</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_a6761c0aff271da8c1fc3c00c9ce2de63"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#a6761c0aff271da8c1fc3c00c9ce2de63">SelectionTranslation::SearchAndTranslate</a></div><div class="ttdeci">bool SearchAndTranslate(string path, int idx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00117">Head.c:117</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_a7d3c4cc03ae3382eb9d6959146148e43"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#a7d3c4cc03ae3382eb9d6959146148e43">SelectionTranslation::InitTranslatedSelections</a></div><div class="ttdeci">void InitTranslatedSelections(int idx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00083">Head.c:83</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_aa4c743114bf46d0b0e45cb18350cfe7a"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#aa4c743114bf46d0b0e45cb18350cfe7a">SelectionTranslation::m_TranslatedSelections</a></div><div class="ttdeci">ref array&lt; int &gt; m_TranslatedSelections</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00073">Head.c:73</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_aa9ec6c6f73fd3bb971f6699abd86b1df"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#aa9ec6c6f73fd3bb971f6699abd86b1df">SelectionTranslation::m_Head</a></div><div class="ttdeci">Head_Default m_Head</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00074">Head.c:74</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_ae6f9900a2cc0cc2f7155249945d9c9cb"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#ae6f9900a2cc0cc2f7155249945d9c9cb">SelectionTranslation::m_SelectionState</a></div><div class="ttdeci">bool m_SelectionState</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00069">Head.c:69</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_ae8d68f9b2ccaf977c440cfb534804583"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#ae8d68f9b2ccaf977c440cfb534804583">SelectionTranslation::SetSelectionState</a></div><div class="ttdeci">void SetSelectionState(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00143">Head.c:143</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_aed9b63b0a30b53e240981a27dc8c15e8"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#aed9b63b0a30b53e240981a27dc8c15e8">SelectionTranslation::GetTranslatedSelections</a></div><div class="ttdeci">ref array&lt; int &gt; GetTranslatedSelections()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00153">Head.c:153</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_af335c636bd814e51e5ed04892913d91a"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#af335c636bd814e51e5ed04892913d91a">SelectionTranslation::SelectionTranslation</a></div><div class="ttdeci">void SelectionTranslation(Head_Default head, int idx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00076">Head.c:76</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_af581affea636579b05a41cb2eefedbe1"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#af581affea636579b05a41cb2eefedbe1">SelectionTranslation::GetSelectionState</a></div><div class="ttdeci">bool GetSelectionState()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00148">Head.c:148</a></div></div>
<div class="ttc" id="aclass_selection_translation_html_aff4339506cead891b5897996f6e1c73b"><div class="ttname"><a href="../../d0/df1/class_selection_translation.html#aff4339506cead891b5897996f6e1c73b">SelectionTranslation::m_TranslationFinished</a></div><div class="ttdeci">bool m_TranslationFinished</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d74/_man_base_2_body_parts_2_head_8c_source.html#l00071">Head.c:71</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_eb54cb765a131a2c306884813be74251.html">ManBase</a></li><li class="navelem"><a class="el" href="../../dir_d2b9304fe33f20fcadb48bba564da13d.html">BodyParts</a></li><li class="navelem"><a class="el" href="../../d4/d74/_man_base_2_body_parts_2_head_8c.html">Head.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
